package jacorb.security.ssl;

/*
 *        JacORB - a free Java ORB
 *
 *   Copyright (C) 2000  Benvenuti André.
 *
 *   This library is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU Library General Public
 *   License as published by the Free Software Foundation; either
 *   version 2 of the License, or (at your option) any later version.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *   Library General Public License for more details.
 *
 *   You should have received a copy of the GNU Library General Public
 *   License along with this library; if not, write to the Free
 *   Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

import java.io.*;
import org.omg.SecurityReplaceable.*;
import org.omg.Security.*;

import org.omg.PortableInterceptor.*;
import org.omg.CORBA.ORBPackage.*;
import org.omg.CORBA.Any;

import jacorb.util.Environment;
import jacorb.util.Debug;
import jacorb.orb.portableInterceptor.ClientRequestInfoImpl;

/**
 * This interceptor is a prototype secure access interceptors 
 *
 * @author Benvenuti André
 */

public class ClientInvocationInterceptor
    extends jacorb.orb.LocalityConstrainedObject 
    implements ClientRequestInterceptor
{


    private boolean enforceSSL;


    ClientInvocationInterceptor(boolean enforce)
    {
 
    }

    public String name()
    {
        return "ClientInvocationInterceptor";
    }

    /**
     * Throws CORBA::NO_PERMISSION, if security policy violated
     */
    public void send_request(ClientRequestInfo ri) 
    {

    }

    public void send_poll(ClientRequestInfo ri)
    {
        System.out.println("send_poll!");
    }

    public void receive_reply(ClientRequestInfo ri)
    {
        System.out.println("receive_reply!");
    }

    public void receive_exception(ClientRequestInfo ri) 
        throws ForwardRequest
    {
        System.out.println("receive_exception!");
    }

    public void receive_other(ClientRequestInfo ri) 
        throws ForwardRequest
    {
        System.out.println("receive_other!");
    }
} // ClientAccessInterceptor
